Bug 972348 - (actionlib) Review Request: ros-actionlib - Interface for pre-emptible tasks
Review Request: ros-actionlib - Interface for pre-emptible tasks
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: ros ros-common_msgs
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 14:41 EDT by Rich Mattes
Modified: 2014-07-29 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2013-06-08 14:41:18 EDT
Spec URL: http://rmattes.fedorapeople.org/rospackages/actionlib/actionlib.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/actionlib/actionlib-1.8.7-1.20130605git3827384.fc19.src.rpm

Description: 
The actionlib package provides a standardized interface for interfacing with
preemptible tasks. Examples of this include moving the base to a target
location, performing a laser scan and returning the resulting point cloud,
detecting the handle of a door, etc.

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint actionlib.spec ../../RPMS/x86_64/actionlib-*
actionlib.x86_64: W: spelling-error Summary(en_US) pre -> per, ore, pee
actionlib.x86_64: W: spelling-error Summary(en_US) emptible -> contemptible
actionlib.x86_64: W: spelling-error %description -l en_US preemptible -> preemptive
actionlib.x86_64: E: invalid-soname /usr/lib64/libactionlib.so libactionlib.so
actionlib.x86_64: W: no-documentation
actionlib-devel.x86_64: W: no-documentation
3 packages and 1 specfiles checked; 1 errors, 5 warnings.
Comment 1 Tim Niemueller 2014-01-19 16:33:42 EST
Should this package be called ros-actionlib? I would find it easier if ROS packages (especially core packages) had a common prefix.
Comment 2 Christopher Meng 2014-07-28 22:19:03 EDT
(In reply to Tim Niemueller from comment #1)
> Should this package be called ros-actionlib? I would find it easier if ROS
> packages (especially core packages) had a common prefix.

I think so.
Comment 3 Rich Mattes 2014-07-29 19:27:09 EDT
I don't think it's necessary.  I've been using a virtual provides for ros-%{name} with the other packages (e.g. catkin). I think it's might be better to leave it as actionlib and use the virtual provides for ros-actionlib to be consistent.

Note You need to log in before you can comment on or make changes to this bug.